#!/bin/bash

. ./path.sh
. ./cmd.sh

function filter_text {
  perl -e 'foreach $w (@ARGV) { $bad{$w} = 1; }
   while(<STDIN>) { @A  = split(" ", $_); $id = shift @A; print "$id ";
     foreach $a (@A) { if (!defined $bad{$a}) { print "$a "; }} print "\n"; }' \
   '[NOISE]' '[noise]' '[LAUGHTER]' '[laughter]' '[VOCALIZED-NOISE]' '<UNK>' '<unk>' '[oov]' '%HESITATION'
}

if [[ $# -ne 2 ]]; then
    echo "$0 task mlf!";
	exit;
fi
task=$1
mlf=$2

#utils/int2sym.pl -f 2- $lang/words.txt < eval.11.0.0.tra > hh.txt

cat $mlf | \
      filter_text > ${mlf}.filt

compute-wer --text --mode=present \
    ark:${task}.text.filt ark:${mlf}.filt > wer_${task}

cat wer_${task} |grep WER
